%define name mate-modernjazz-theme
%define oname modernjazz-theme
%define version 1.0
%define release %mkrel 1

Summary:	Modern Jazz Theme for the Mate Desktop
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
License:	GPL
Group:		Graphical desktop/Mate
Url:		http://pclinuxos.com/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
This package will install the Mate Modern Jazz theme and switch
grub,bootsplash, gdm login and background to this theme.


%prep
%setup -q

%build
#nobuild

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/opt/mate/%oname
cp -a * $RPM_BUILD_ROOT/opt/mate/%oname

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/mate/%oname

%posttrans
/bin/cp /opt/mate/%oname/gfxmenu /boot/gfxmenu
/bin/cp /opt/mate/%oname/Stripes.png /usr/share/backgrounds/mate/desktop/
/bin/mkdir -p usr/share/gdm/themes/Avio-GDM
/bin/cp /opt/mate/%oname/Avio-GDM/* /usr/share/gdm/themes/Avio-GDM/
/bin/mkdir -p /usr/share/plymouth/themes/%oname
/bin/cp /opt/mate/%oname/%oname/* /usr/share/plymouth/themes/%oname/
/usr/bin/remove-theme > /dev/null 2>&1 
sleep 2
/usr/bin/switch-themes %oname > /dev/null 2>&1 


%changelog
* Thu Apr 10 2014 bb <bb> 1.0-1pclos2014
- create package
